--- xmms-1.2.7/configure.in.orig	Fri Jul 26 09:47:10 2002
+++ xmms-1.2.7/configure.in	Fri Jul 26 09:47:37 2002
@@ -554,6 +554,7 @@
 Output/esd/Makefile
 Output/disk_writer/Makefile
 Output/solaris/Makefile
+Output/AIX/Makefile
 Input/Makefile
 Input/wav/Makefile
 Input/mpg123/Makefile
--- xmms-1.2.7/Effect/voice/voice.h.orig	Fri Jul 26 09:48:36 2002
+++ xmms-1.2.7/Effect/voice/voice.h	Fri Jul 26 09:49:02 2002
@@ -5,6 +5,9 @@
 #include "config.h"
 
 #include <pthread.h>
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 
 #include <stdlib.h>
 #include <string.h>
--- xmms-1.2.7/Input/mpg123/mpg123.h.orig	Fri Jul 26 09:49:58 2002
+++ xmms-1.2.7/Input/mpg123/mpg123.h	Fri Jul 26 09:50:21 2002
@@ -18,6 +18,9 @@
 #include <unistd.h>
 
 #include <math.h>
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 
 #include <gtk/gtk.h>
 
--- xmms-1.2.7/Input/wav/wav.h.orig	Fri Jul 26 09:51:04 2002
+++ xmms-1.2.7/Input/wav/wav.h	Fri Jul 26 09:51:21 2002
@@ -21,6 +21,9 @@
 #include "config.h"
 
 #include <pthread.h>
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 
 #include <stdlib.h>
 #include <string.h>
--- xmms-1.2.7/Output/Makefile.am.orig	Fri Jul 26 09:52:03 2002
+++ xmms-1.2.7/Output/Makefile.am	Fri Jul 26 09:52:23 2002
@@ -1,2 +1,2 @@
-ALL_PLUGINS = OSS esd disk_writer solaris
+ALL_PLUGINS = OSS esd disk_writer solaris AIX
 SUBDIRS = @OUTPUT_PLUGINS@
--- xmms-1.2.7/libxmms/util.h.orig	Fri Jul 26 09:52:57 2002
+++ xmms-1.2.7/libxmms/util.h	Fri Jul 26 09:53:37 2002
@@ -1,5 +1,9 @@
 #ifndef XMMS_UTIL_H
 #define XMMS_UTIL_H
+
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 #include <gtk/gtk.h>
 
 #ifdef __cplusplus
--- xmms-1.2.7/xmms/util.h.orig	Fri Jul 26 10:05:53 2002
+++ xmms-1.2.7/xmms/util.h	Fri Jul 26 10:06:14 2002
@@ -20,6 +20,10 @@
 #ifndef UTIL_H
 #define UTIL_H
 
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
+
 #include "i18n.h"
 
 gchar *find_file_recursively(const char *dirname, const char *file);
--- xmms-1.2.7/Input/tonegen/Makefile.am.orig	Fri Jul 26 10:06:59 2002
+++ xmms-1.2.7/Input/tonegen/Makefile.am	Fri Jul 26 10:08:21 2002
@@ -3,6 +3,7 @@
 libdir = $(plugindir)/$(INPUT_PLUGIN_DIR)
 
 libtonegen_la_LDFLAGS = @PLUGIN_LDFLAGS@
+libtonegen_la_LIBADD = @PTHREAD_LIBS@ @GTK_LIBS@ -lintl
 
 libtonegen_la_SOURCES = tonegen.c
 INCLUDES = @GTK_CFLAGS@ -I$(top_builddir)/intl
--- xmms-1.2.7/Input/tonegen/Makefile.in.orig	Fri Jul 26 10:09:00 2002
+++ xmms-1.2.7/Input/tonegen/Makefile.in	Fri Jul 26 10:12:45 2002
@@ -166,6 +166,7 @@
 libdir = $(plugindir)/$(INPUT_PLUGIN_DIR)
 
 libtonegen_la_LDFLAGS = @PLUGIN_LDFLAGS@
+libtonegen_la_LIBADD = @PTHREAD_LIBS@ @GTK_LIBS@ -lintl
 
 libtonegen_la_SOURCES = tonegen.c
 INCLUDES = @GTK_CFLAGS@ -I$(top_builddir)/intl
@@ -179,7 +180,7 @@
 CPPFLAGS = @CPPFLAGS@
 LDFLAGS = @LDFLAGS@
 LIBS = @LIBS@
-libtonegen_la_LIBADD = 
+libtonegen_la_DEPENDENCIES = 
 libtonegen_la_OBJECTS =  tonegen.lo
 CFLAGS = @CFLAGS@
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
@@ -316,7 +317,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$d/$$file $(distdir)/$$file; \
+	    cp -pr $$/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
--- xmms-1.2.7/xmms/Makefile.am.orig	Fri Jul 26 10:13:25 2002
+++ xmms-1.2.7/xmms/Makefile.am	Fri Jul 26 10:13:56 2002
@@ -4,7 +4,7 @@
 
 bin_PROGRAMS = xmms
 
-xmms_LDFLAGS = -export-dynamic
+xmms_LDFLAGS = -export-dynamic -bexpall
 xmms_LDADD += @GTK_LIBS@ @PTHREAD_LIBS@ @SM_LIBS@ @VM_LIBS@ \
 @POSIX_LIBS@ $(top_builddir)/libxmms/libxmms.la @INTLLIBS@
 
--- xmms-1.2.7/xmms/Makefile.in.orig	Fri Jul 26 10:14:45 2002
+++ xmms-1.2.7/xmms/Makefile.in	Fri Jul 26 10:16:55 2002
@@ -168,7 +168,7 @@
 
 bin_PROGRAMS = xmms
 
-xmms_LDFLAGS = -export-dynamic
+xmms_LDFLAGS = -export-dynamic -bexpall
 xmms_LDADD =  @GTK_LIBS@ @PTHREAD_LIBS@ @SM_LIBS@ @VM_LIBS@ \
 @POSIX_LIBS@ $(top_builddir)/libxmms/libxmms.la @INTLLIBS@
 
@@ -491,7 +491,7 @@
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
-	    cp -pr $$d/$$file $(distdir)/$$file; \
+	    cp -pr $$/$$file $(distdir)/$$file; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
@@ -508,7 +508,6 @@
 	      || exit 1; \
 	  fi; \
 	done
-
 info-am:
 info: info-recursive
 dvi-am:
